org.wildfly.swarm.config.security.security_domain.authentication

## Class LoginModuleStack<T extends LoginModuleStack<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.security_domain.authentication.LoginModuleStack<T>

-     public class LoginModuleStack<T extends LoginModuleStack<T>>
      extends Object

  List of "named" login modules that are used by jaspi authentication modules.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoginModuleStack.LoginModuleStackResources` Child mutators for LoginModuleStack

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginModuleStack(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `loginModule(LoginModule value)` Add the LoginModule object to the list of subresources
    `T` | `loginModule(LoginModuleSupplier supplier)` Install a supplied LoginModule object to the list of subresources
    `T` | `loginModule(String childKey)` Create and configure a LoginModule object to the list of subresources
    `T` | `loginModule(String childKey, LoginModuleConsumer consumer)` Create and configure a LoginModule object to the list of subresources
    `T` | `loginModules(List<LoginModule> value)` Add all LoginModule objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `LoginModuleStack.LoginModuleStackResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginModuleStack

          public LoginModuleStack(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public LoginModuleStack.LoginModuleStackResources subresources()

    - #### loginModules

          public T loginModules(List<LoginModule> value)

      Add all LoginModule objects to this subresource
      Parameters:
        `value` - List of LoginModule objects.
      Returns:
        this

    - #### loginModule

          public T loginModule(LoginModule value)

      Add the LoginModule object to the list of subresources
      Parameters:
        `value` - The LoginModule to add
      Returns:
        this

    - #### loginModule

          public T loginModule(String childKey,
                               LoginModuleConsumer consumer)

      Create and configure a LoginModule object to the list of subresources
      Parameters:
        `key` - The key for the LoginModule resource
        `config` - The LoginModuleConsumer to use
      Returns:
        this

    - #### loginModule

          public T loginModule(String childKey)

      Create and configure a LoginModule object to the list of subresources
      Parameters:
        `key` - The key for the LoginModule resource
      Returns:
        this

    - #### loginModule

          public T loginModule(LoginModuleSupplier supplier)

      Install a supplied LoginModule object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.